Get a questionnaire

get

/hcmRestApi/resources/11.13.18.05/communicateUIEmployeeEventDetails/{EventNumber}/child/questionnaires/{questionnairesUniqID}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • This is the hash key of the attributes which make up the composite key for the Questionnaires resource and used to uniquely identify an instance of Questionnaires. The client should not generate the hash key value. Instead, the client should query on the Questionnaires collection resource in order to navigate to a specific instance of Questionnaires to get the hash key.
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : communicateUIEmployeeEventDetails-questionnaires-item-response
Type: object
Show Source
  • Title: In Use
    Maximum Length: 30
    Default Value: N
    Code that shows whether the participants have already responded to the questionnaire.
  • Title: Latest Version
    Maximum Length: 30
    Default Value: N
    Setting that indicates if this is the latest version of the questionnaire. This is a read-only attribute.
  • Links
  • Title: Maximum Possible Score
    Sum of the maximum possible scores of all questions that are included in the questionnaire.
  • Title: Name
    Maximum Length: 240
    Name of the questionnaire.
  • Title: Questionnaire Code
    Maximum Length: 240
    Alphanumeric code that uniquely identifies a questionnaire defined for a subscriber.
  • Title: Questionnaire ID
    Surrogate identifier of the questionnaire.
  • Title: Questionnaire Version Number
    Default Value: 1
    Version number of the questionnaire. Version Number should be 1 when a new questionnaire is created.
  • Title: Score Questionnaire
    Maximum Length: 30
    Setting that indicates if the questionnaire is scored. This is a read-only attribute.
  • Sections
    Title: Sections
    The sections resource is a child resource of the questionnaires resource. It provides details of the sections defined in the questionnaire.
Nested Schema : Sections
Type: array
Title: Sections
The sections resource is a child resource of the questionnaires resource. It provides details of the sections defined in the questionnaire.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-questionnaires-sections-item-response
Type: object
Show Source
Nested Schema : Questions
Type: array
Title: Questions
The child resource for questionnaire questions.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-questionnaires-sections-questions-item-response
Type: object
Show Source
Nested Schema : Answers
Type: array
Title: Answers
The child resource for questionnaire question answers.
Show Source
Nested Schema : Questions
Type: array
Title: Questions
The questions resource is a child of the questionnaires resource. It provides details of the questions included in a section of the questionnaire.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-questionnaires-sections-questions-answers-item-response
Type: object
Show Source
Nested Schema : communicateUIEmployeeEventDetails-questionnaires-sections-questions-questionDetails-item-response
Type: object
Show Source
  • Title: Allow attachments
    Maximum Length: 30
    Default Value: false
    Indicates whether an attachment is allowed as a response to the question.
  • Title: Folder
    Surrogate identifier of the folder where the question is stored.
  • Maximum Length: 4000
    Instructions or additional information for the question.
  • Title: Latest Version
    Maximum Length: 30
    Default Value: N
    Setting that indicates if this is the latest version of the question. This is a read-only attribute.
  • Links
  • Title: Owner
    Maximum Length: 64
    Person identifier of the person with the privileges to edit the question, if the question is marked as private. Required if question is marked as private.
  • Title: Privacy
    Maximum Length: 30
    Default Value: false
    Indicates whether the question is restricted for edits. A value of true indicates the question is private and the person specified as the owner can edit it.
  • Title: Question Code
    Maximum Length: 240
    Alphanumeric value that uniquely identifies a question defined for a subscriber.
  • Title: Question Code
    Surrogate identifier for the question.
  • Title: Question Text
    Maximum Length: 2000
    Text of the question being asked.
  • Title: Question Type
    Maximum Length: 30
    Default Value: TEXT
    Code identifying the type of question. Valid values are in the list commonLookupsLOV.
  • Title: Question Version Number
    Default Value: 1
    Version number of the question. New questions must have a version number of 1.
  • Title: Response Type
    Default Value: 1
    Surrogate identifier of the response type for the question.
  • Title: Status
    Maximum Length: 30
    Default Value: D
    Status of the question. Valid values are A for Active, I for Inactive and D for Draft.
  • Title: Subscriber
    Surrogate identifier for the subscriber.
Back to Top